DH-MAKE-ELPA(1)

NAME
dh-make-elpa - helper for creating Debian packages from ELPA packages

SYNOPSIS

dh-make-elpa [--pkg-emacsen] [make]
dh-make-elpa help

DESCRIPTION
dh-make-elpa will try to create the files required to build a Debian source package from an unpacked GNU Emacs ELPA package.

dh-make-elpa is an experimental script that performs a lot of guesswork. You should throughly verify the contents of the debian/ directory before uploading

  TYPICAL USAGE
    # Set your name and email address (these will be used in debian/control) % export DEBFULLNAME="Jane Bloggs" % export DEBEMAIL=j.s.bloggs@example.com

    % git clone -o upstream https://foo.org/foo.git

    % cd foo

    % git reset --hard 1.0.0 # package latest stable release

    % git branch --unset-upstream # detaches master branch from upstream remote

    % dh-make-elpa --pkg-emacsen

    % git add debian && git commit -m "initial Debianisation"

    % git deborig

    % dpkg-buildpackage -us -uc

  COMMANDS

make
    Default command if no command is given. Creates debianisation from scratch. Fails with an error if debian/ directory already exists.

help
    Displays short usage information.

  OPTIONS

--pkg-emacsen
    Sets "Maintainer", "Uploaders", "Vcs-Git" and "Vcs-Browser" fields in debian/control according to the Team's conventions.

    This option is useful when preparing a package for the Debian Emacs Addon Packaging Team <https://pkg-emacsen.alioth.debian.org>.

--version
    Specify the ELPA package version. Useful when upstream failed to include either a Package-Version: header or a -pkg.el file.

  TIPS

Upstream remote
    The remote for upstream's git repository should be called 'upstream'. You can use:

        % git clone -o upstream https://foo/bar

AUTHOR
Originally written by Sean Whitton <spwhitton@spwhitton.name>, currently maintained by Lev Lamberov <dogsleg@debian.org> and Debian Emacsen team <debian-emacsen@lists.debian.org>.

A great deal of the library code used by dh-make-elpa, and its object-oriented structure, comes from dh-make-perl(1), written and maintained by the Debian Perl Group.